Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.commons.validator.routines.checkdigit
Interface CheckDigit

All Known Implementing Classes:
  ABANumberCheckDigit, CUSIPCheckDigit, EAN13CheckDigit, IBANCheckDigit, ISBN10CheckDigit, ISBNCheckDigit, ISINCheckDigit, LuhnCheckDigit, ModulusCheckDigit, SedolCheckDigit, VerhoeffCheckDigit

    public interface CheckDigit

Check Digit calculation and validation.

The logic for validating check digits has previously been embedded within the logic for specific code validation, which includes other validations such as verifying the format or length of a code. `CheckDigit` provides for separating out the check digit calculation logic enabling it to be more easily tested and reused.

Although Commons Validator is primarily concerned with validation, `CheckDigit` also defines behaviour for calculating/generating check digits, since it makes sense that users will want to (re-)use the same logic for both. The `ISBNValidator` makes specific use of this feature by providing the facility to validate ISBN-10 codes and then convert them to the new ISBN-13 standard.

`CheckDigit` is used by the new generic CodeValidator implementation.

### Implementations

See the Package Summary for a full list of implementations provided within Commons Validator.

Since:
  Validator 1.4
Version:
  $Revision: 589328 $ $Date: 2007-10-28 11:43:47 +0100 (Sun, 28 Oct 2007) $
See Also:
  `CodeValidator`

Method Summary
`String` | `calculate(String code)` Calculate the Check Digit for a code.
`boolean` | `isValid(String code)` Validate the check digit for the code.

Method Detail

### calculate

    String calculate(String code)
                     throws CheckDigitException

  Calculate the Check Digit for a code.

  Parameters:
    `code` - The code to calculate the Check Digit for.
  Returns:
    The calculated Check Digit
  Throws:
    `CheckDigitException` - if an error occurs.

### isValid

    boolean isValid(String code)

  Validate the check digit for the code.

  Parameters:
    `code` - The code to validate.
  Returns:
    `true` if the check digit is valid, otherwise `false`.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2002-2012 The Apache Software Foundation. All Rights Reserved.